Package org.apache.avro.io.parsing

# Class Symbol.Alternative

java.lang.Object
org.apache.avro.io.parsing.Symbol
org.apache.avro.io.parsing.Symbol.Alternative

Enclosing class:
  `Symbol`

public static class Symbol.Alternative extends Symbol

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.avro.io.parsing.Symbol

`Symbol.Alternative, Symbol.DefaultStartAction, Symbol.EnumAdjustAction, Symbol.EnumLabelsAction, Symbol.ErrorAction, Symbol.FieldAdjustAction, Symbol.FieldOrderAction, Symbol.ImplicitAction, Symbol.IntCheckAction, Symbol.Kind, Symbol.Repeater, Symbol.ResolvingAction, Symbol.Root, Symbol.Sequence, Symbol.SkipAction, Symbol.UnionAdjustAction, Symbol.WriterUnionAction`

## Field Summary

Fields
Modifier and Type
Field
Description
`final String[]`
`labels`
`final Symbol[]`
`symbols`

### Fields inherited from class org.apache.avro.io.parsing.Symbol

`ARRAY_END, ARRAY_START, BOOLEAN, BYTES, DEFAULT_END_ACTION, DOUBLE, ENUM, FIELD_ACTION, FIELD_END, FIXED, FLOAT, INT, ITEM_END, kind, LONG, MAP_END, MAP_KEY_MARKER, MAP_START, NULL, production, RECORD_END, RECORD_START, STRING, UNION, UNION_END, WRITER_UNION_ACTION`

## Method Summary

Modifier and Type
Method
Description
`int`
`findLabel(String label)`
`Symbol.Alternative`
`flatten(Map<Symbol.Sequence,Symbol.Sequence> map, Map<Symbol.Sequence,List<org.apache.avro.io.parsing.Symbol.Fixup>> map2)`
`String`
`getLabel(int index)`
`Symbol`
`getSymbol(int index)`
`int`
`size()`

### Methods inherited from class org.apache.avro.io.parsing.Symbol

`defaultStartAction, enumAdjustAction, enumLabelsAction, fieldAdjustAction, fieldOrderAction, flattenedSize, flattenedSize, hasErrors, intCheckAction, skipAction, unionAdjustAction, writerUnionAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### symbols

public final Symbol[] symbols

### labels

public final String[] labels

## Method Details

### getSymbol

public Symbol getSymbol(int index)

### getLabel

public String getLabel(int index)

### size

public int size()

### findLabel

public int findLabel(String label)

### flatten

public Symbol.Alternative flatten(Map<Symbol.Sequence,Symbol.Sequence> map, Map<Symbol.Sequence,List<org.apache.avro.io.parsing.Symbol.Fixup>> map2)

Overrides:
  `flatten` in class `Symbol`